Bug 1566642 - Network icon missing in gnome-shell
Summary: Network icon missing in gnome-shell
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: gnome-shell
Version: 28
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Owen Taylor
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 1691474
TreeView+ depends on / blocked
 
Reported: 2018-04-12 16:39 UTC by Juan Orti
Modified: 2019-06-24 18:31 UTC (History)
10 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 1691474 (view as bug list)
Environment:
Last Closed: 2019-05-28 23:50:05 UTC
Type: Bug


Attachments (Terms of Use)
screenshot (2.21 MB, image/png)
2018-04-12 16:39 UTC, Juan Orti
no flags Details


Links
System ID Private Priority Status Summary Last Updated
GNOME Gitlab GNOME gnome-shell issues 140 0 None None None 2018-06-08 08:59:51 UTC

Description Juan Orti 2018-04-12 16:39:25 UTC
Created attachment 1420950 [details]
screenshot

Description of problem:
The network icon is missing in the gnome-shell drop-down menu. I'm on a wayland session.

My network connection is a bridge with my ethernet interface.

$ nmcli connection 
NAME            UUID                                  TYPE      DEVICE 
br-lan          fd4c5cf9-0ab2-47e0-ad54-0f616b07cf79  bridge    br-lan 
enp5s0          b65d5f75-4fd0-4eb5-9269-4463c8da6d0c  ethernet  enp5s0 
virbr0          70c987b5-c8f9-4411-9e43-3c1f48103e56  bridge    virbr0 


Version-Release number of selected component (if applicable):
gnome-shell-3.28.0-1.fc28.x86_64

Comment 1 Juan Orti 2018-04-13 13:57:30 UTC
The last updates have fixed this issue.

Comment 2 Juan Orti 2018-04-25 17:43:03 UTC
It's happening again. I have all the 3rd-party extensions disabled.

gnome-shell-3.28.1-1.fc28.x86_64

Comment 3 Tomas Vanderka 2018-05-03 17:52:33 UTC
I am seeing this too after upgrading f27->f28 with:

gnome-shell-3.28.1-3.fc28.x86_64

My interfaces are:

$ nmcli device
DEVICE      TYPE      STATE        CONNECTION 
enp0s31f6   ethernet  connected    Auto    
virbr0      bridge    connected    virbr0     
cdc-wdm0    gsm       unavailable  --         
wlp4s0      wifi      unavailable  --         
lo          loopback  unmanaged    --         
virbr0-nic  tun       unmanaged    --

And I see errors like these in journal:

máj 03 19:38:58 kujon gnome-shell[1331]: JS ERROR: TypeError: item is undefined
                                          _sync@resource:///org/gnome/shell/ui/status/network.js:427:17
                                          wrapper@resource:///org/gnome/gjs/modules/_legacy.js:82:22
                                          _parent@resource:///org/gnome/gjs/modules/_legacy.js:39:12
                                          _sync@resource:///org/gnome/shell/ui/status/network.js:505:9
                                          wrapper@resource:///org/gnome/gjs/modules/_legacy.js:82:22
                                          _addConnection@resource:///org/gnome/shell/ui/status/network.js:306:9
                                          wrapper@resource:///org/gnome/gjs/modules/_legacy.js:82:22
                                          checkConnection@resource:///org/gnome/shell/ui/status/network.js:277:13
                                          wrapper@resource:///org/gnome/gjs/modules/_legacy.js:82:22
                                          _deviceAdded/<@resource:///org/gnome/shell/ui/status/network.js:1761:21
                                          _deviceAdded@resource:///org/gnome/shell/ui/status/network.js:1760:17
                                          wrapper@resource:///org/gnome/gjs/modules/_legacy.js:82:22
                                          _readDevices@resource:///org/gnome/shell/ui/status/network.js:1703:13
                                          wrapper@resource:///org/gnome/gjs/modules/_legacy.js:82:22
                                          _clientGot@resource:///org/gnome/shell/ui/status/network.js:1663:9
                                          wrapper@resource:///org/gnome/gjs/modules/_legacy.js:82:22

Comment 4 Juan Orti 2018-05-23 19:33:42 UTC
The VPN lock icon is also missing when connecting to a VPN.

Comment 5 Alireza 2018-06-01 07:01:23 UTC
I'm having the exact same issue that Tomas Vanderka has. The Network and VPN icons are gone.

tested with gnome-shell "3.28.2" and "3.29.1" on ArchLinux.

Comment 6 Manuel Buchheit 2018-06-04 10:44:38 UTC
Same here on Fedora 28 gnome-shell 3.28.2 on two Notebooks and one PC.
All three with Intel-NICs.

Comment 7 jeff.sinjin 2018-06-04 14:59:34 UTC
Had the same issue on Fedora 28 (upgraded from 27), gnome-shell 3.28.2.1.  This was occurring with the _second_ user.  I found an old thread indicating that there was an issue with connections being made available to other users.  Note that connections on the user account with the issue were coming from the _first_ user.  Unchecked the "Make available to other users" on all connections (or deleted them if now unneeded) on the first user.  All connections now show up properly for the first and second user. (Note some of them had to be created).

Comment 8 Manuel Buchheit 2018-06-05 12:48:49 UTC
This does not resolve the Problem. I previously deleted all connections and created them again (with "Make available to other users" unchecked).
The icon does appear 1 out of 15 reboots. The next time the machine reboots the icon disappears an there are only a view connections visible. 
When I jump between some visible connections the icon appears but it only shows up "connected" where "Wired Connected" should be and you can't see which connection is active.

Comment 9 Tim Niemueller 2018-06-08 08:59:52 UTC
Having the same issue, wifi connections don't appear in the Gnome Shell menu. When connected only to wifi, I get a "wired connection" icon in the top bar, but no wireless menu and no signal strength indicator. It seems to be tracked upstream with the referenced issue, but nothing has actually happened from the actual developers it seems. Gnome shell is having an increasing number of issues and floods a lot of errors in the log on F28 :-/

My standard connections are not shared among users. So this does not seem to be the problem (or not the only one).

Error message here is slightly different:
JS ERROR: TypeError: item is undefined
_activeConnectionChanged@resource:///org/gnome/shell/ui/status/network.js:371:13
wrapper@resource:///org/gnome/gjs/modules/_legacy.js:82:22

Comment 10 Alexey Muranov 2018-08-01 07:31:49 UTC
Possibly relevant upstream bug: https://gitlab.gnome.org/GNOME/gnome-shell/issues/140

Comment 11 Ben Cotton 2019-05-02 19:45:29 UTC
This message is a reminder that Fedora 28 is nearing its end of life.
On 2019-May-28 Fedora will stop maintaining and issuing updates for
Fedora 28. It is Fedora's policy to close all bug reports from releases
that are no longer maintained. At that time this bug will be closed as
EOL if it remains open with a Fedora 'version' of '28'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 28 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 12 Ben Cotton 2019-05-28 23:50:05 UTC
Fedora 28 changed to end-of-life (EOL) status on 2019-05-28. Fedora 28 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.